﻿$ErrorActionPreference = 'Stop';

$packageName    = 'unity-ios'
$toolsDir       = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url64          = 'https://download.unity3d.com/download_unity/d29bea25151d/TargetSupportInstaller/UnitySetup-iOS-Support-for-Editor-2022.3.18f1.exe'
$checksum64     = 'df1f2d2aa685256810630d4ff13cdfb12ccad37117e8f6afc5c4441fff55f1d6'

$packageArgs = @{
  packageName    = $packageName
  fileType       = 'EXE'
  url64bit       = $url64
  checksum64     = $checksum64
  checksumType64 = 'sha256'
  silentArgs     = '/S'
  validExitCodes = @(0)
}

Install-ChocolateyPackage @packageArgs
